package com.kdanmobile.admanager.admob

import android.content.Context
import com.google.android.gms.ads.MobileAds
import com.kdanmobile.admanager.AbstractAdManager

class AdmobAdManager : AbstractAdManager() {

    override fun init(context: Context, adAppId: String, adUnitId: String, volume: Float) {
        this.context = context

        MobileAds.initialize(context, adAppId)
        MobileAds.setAppVolume(volume)

        interstitialAdManager = AdmobInterstitialAdManager()
        nativeAdManager = AdmobNativeAdManager(context)
        rewardedAdManager = AdMobRewardedAdManager()

        isInitialized = true
        onInitListeners.forEach { it.run() }
    }
}