package com.kdanmobile.admanager

interface RewardedAdListener {
    fun onRewardedAdLoaded(adUnitId: String)
    fun onRewardedAdOpened(adUnitId: String)
    fun onRewardedAdStarted(adUnitId: String)
    fun onRewardedAdClosed(adUnitId: String)
    fun onRewardedAdCompleted(adUnitId: String)
    fun onRewardedAdLeftApplication(adUnitId: String)
    fun onRewardedAdFailedToLoad(adUnitId: String, errorCode: Int)
    fun onRewarded(adUnitId: String, item: RewardedAdItem?)
}